Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-SU-2017:3020-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:3020-1
Rating: moderate
References: #1054757 #1055214 #1056426 #1056429 #1057508
#1066003
Cross-References: CVE-2017-12983 CVE-2017-13134 CVE-2017-13776
CVE-2017-13777 CVE-2017-14165 CVE-2017-15930

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following security issues:

- CVE-2017-13776: denial of service issue in ReadXBMImage() in a
coders/xbm.c (bsc#1056429)
- CVE-2017-13777: denial of service issue in ReadXBMImage() in a
coders/xbm.c (bsc#1056426)
- CVE-2017-13134: heap-based buffer over-read allowing DoS via crafted sfw
files (bsc#1055214)
- CVE-2017-15930: Specially crafted JPEG files could lead to a Null
Pointer dereference and DoS (bsc#1066003)
- CVE-2017-14165: Memory allocation issue may allow DoS through specially
crafted files (bsc#1057508)
- CVE-2017-12983: Heap-based buffer overflow could have triggered an
application crash
or possibly have unspecified other impact via a crafted file.
(bnc#1054757)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1276=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1276=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-39.1
GraphicsMagick-debuginfo-1.3.25-39.1
GraphicsMagick-debugsource-1.3.25-39.1
GraphicsMagick-devel-1.3.25-39.1
libGraphicsMagick++-Q16-12-1.3.25-39.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-39.1
libGraphicsMagick++-devel-1.3.25-39.1
libGraphicsMagick-Q16-3-1.3.25-39.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-39.1
libGraphicsMagick3-config-1.3.25-39.1
libGraphicsMagickWand-Q16-2-1.3.25-39.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-39.1
perl-GraphicsMagick-1.3.25-39.1
perl-GraphicsMagick-debuginfo-1.3.25-39.1

- openSUSE Leap 42.2 (i586 x86_64):

GraphicsMagick-1.3.25-11.39.1
GraphicsMagick-debuginfo-1.3.25-11.39.1
GraphicsMagick-debugsource-1.3.25-11.39.1
GraphicsMagick-devel-1.3.25-11.39.1
libGraphicsMagick++-Q16-12-1.3.25-11.39.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-11.39.1
libGraphicsMagick++-devel-1.3.25-11.39.1
libGraphicsMagick-Q16-3-1.3.25-11.39.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-11.39.1
libGraphicsMagick3-config-1.3.25-11.39.1
libGraphicsMagickWand-Q16-2-1.3.25-11.39.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-11.39.1
perl-GraphicsMagick-1.3.25-11.39.1
perl-GraphicsMagick-debuginfo-1.3.25-11.39.1


References:

https://www.suse.com/security/cve/CVE-2017-12983.html
https://www.suse.com/security/cve/CVE-2017-13134.html
https://www.suse.com/security/cve/CVE-2017-13776.html
https://www.suse.com/security/cve/CVE-2017-13777.html
https://www.suse.com/security/cve/CVE-2017-14165.html
https://www.suse.com/security/cve/CVE-2017-15930.html
https://bugzilla.suse.com/1054757
https://bugzilla.suse.com/1055214
https://bugzilla.suse.com/1056426
https://bugzilla.suse.com/1056429
https://bugzilla.suse.com/1057508
https://bugzilla.suse.com/1066003


< Previous Next >
This Thread
  • No further messages